igeo.io

## Class IObjFileImporter.Curve2D

- java.lang.Object
- - igeo.io.IObjFileImporter.Entity
  - - igeo.io.IObjFileImporter.Curve2D

- Enclosing class:
    IObjFileImporter

      public static class IObjFileImporter.Curve2D
      extends IObjFileImporter.Entity

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `IObjFileImporter.Curve2D.Data`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IObjFileImporter.Degree` | `degree`
    `IObjFileImporter.ParameterSpaceVertex` | `parameterSpaceVertex`

    - ### Fields inherited from class igeo.io.IObjFileImporter.Entity

      `data, entities, objects, server`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Curve2D()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel()`
    `IObjFileImporter.EntityData` | `parse(java.lang.String[] args)`

    - ### Methods inherited from class igeo.io.IObjFileImporter.Entity

      `add, getData, getLatestData, parse, read, setAllEntities, setObjectContainer, setServer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parameterSpaceVertex

          public IObjFileImporter.ParameterSpaceVertex parameterSpaceVertex

    - #### degree

          public IObjFileImporter.Degree degree

  - ### Constructor Detail

    - #### Curve2D

          public Curve2D()

  - ### Method Detail

    - #### getLabel

          public java.lang.String getLabel()

      Overrides:
        `getLabel` in class `IObjFileImporter.Entity`

    - #### parse

          public IObjFileImporter.EntityData parse(java.lang.String[] args)

      Overrides:
        `parse` in class `IObjFileImporter.Entity`